Entrar

Subtree (a partir de uma área)

GET https://{organization}.myguper.com/api/register/team/area/{id}/tree

Retorna a subárvore de áreas a partir do ID informado — a própria área, as áreas filhas e assim por diante recursivamente.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parâmetros do caminho

Name Type Description
id * string ID da área raiz da sub-árvore

Respostas

{
    "id": 2, "parentId": 1, "name": "Marketing", "depth": 0,
    "children": [
        { "id": 4, "parentId": 2, "name": "SEO",         "depth": 1, "children": [] },
        { "id": 5, "parentId": 2, "name": "Performance", "depth": 1, "children": [] }
    ]
}
Copied to clipboard